// Copyright (c) 2024 Red Hat, Inc
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// SPDX-License-Identifier: Apache-2.0
// 
// Contributors:
//     [name] - [contribution]


// Code generated by controller-gen. DO NOT EDIT.

//go:build !ignore_autogenerated
// +build !ignore_autogenerated
package v1alpha1

import (
	runtime "k8s.io/apimachinery/pkg/runtime"
)

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *ChannelSettings) DeepCopyInto(out *ChannelSettings) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ChannelSettings.
func (in *ChannelSettings) DeepCopy() *ChannelSettings {
	if in == nil {
		return nil
	}
	out := new(ChannelSettings)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *CodecoApp) DeepCopyInto(out *CodecoApp) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ObjectMeta.DeepCopyInto(&out.ObjectMeta)
	in.Spec.DeepCopyInto(&out.Spec)
	out.Status = in.Status
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new CodecoApp.
func (in *CodecoApp) DeepCopy() *CodecoApp {
	if in == nil {
		return nil
	}
	out := new(CodecoApp)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *CodecoApp) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *CodecoAppList) DeepCopyInto(out *CodecoAppList) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ListMeta.DeepCopyInto(&out.ListMeta)
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]CodecoApp, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new CodecoAppList.
func (in *CodecoAppList) DeepCopy() *CodecoAppList {
	if in == nil {
		return nil
	}
	out := new(CodecoAppList)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *CodecoAppList) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *CodecoAppMSSpec) DeepCopyInto(out *CodecoAppMSSpec) {
	*out = *in
	if in.ServiceChannels != nil {
		in, out := &in.ServiceChannels, &out.ServiceChannels
		*out = make([]CodecoChannels, len(*in))
		copy(*out, *in)
	}
	in.PodSpec.DeepCopyInto(&out.PodSpec)
	out.RequiredResources = in.RequiredResources
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new CodecoAppMSSpec.
func (in *CodecoAppMSSpec) DeepCopy() *CodecoAppMSSpec {
	if in == nil {
		return nil
	}
	out := new(CodecoAppMSSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *CodecoAppNodeStatusMetrics) DeepCopyInto(out *CodecoAppNodeStatusMetrics) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new CodecoAppNodeStatusMetrics.
func (in *CodecoAppNodeStatusMetrics) DeepCopy() *CodecoAppNodeStatusMetrics {
	if in == nil {
		return nil
	}
	out := new(CodecoAppNodeStatusMetrics)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *CodecoAppResource) DeepCopyInto(out *CodecoAppResource) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new CodecoAppResource.
func (in *CodecoAppResource) DeepCopy() *CodecoAppResource {
	if in == nil {
		return nil
	}
	out := new(CodecoAppResource)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *CodecoAppSpec) DeepCopyInto(out *CodecoAppSpec) {
	*out = *in
	if in.MCSpecs != nil {
		in, out := &in.MCSpecs, &out.MCSpecs
		*out = make([]CodecoAppMSSpec, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new CodecoAppSpec.
func (in *CodecoAppSpec) DeepCopy() *CodecoAppSpec {
	if in == nil {
		return nil
	}
	out := new(CodecoAppSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *CodecoAppStatus) DeepCopyInto(out *CodecoAppStatus) {
	*out = *in
	out.NodeMetrics = in.NodeMetrics
	out.AppMetrics = in.AppMetrics
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new CodecoAppStatus.
func (in *CodecoAppStatus) DeepCopy() *CodecoAppStatus {
	if in == nil {
		return nil
	}
	out := new(CodecoAppStatus)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *CodecoAppStatusMetrics) DeepCopyInto(out *CodecoAppStatusMetrics) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new CodecoAppStatusMetrics.
func (in *CodecoAppStatusMetrics) DeepCopy() *CodecoAppStatusMetrics {
	if in == nil {
		return nil
	}
	out := new(CodecoAppStatusMetrics)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *CodecoChannels) DeepCopyInto(out *CodecoChannels) {
	*out = *in
	out.OtherService = in.OtherService
	out.AdvancedChannelSettings = in.AdvancedChannelSettings
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new CodecoChannels.
func (in *CodecoChannels) DeepCopy() *CodecoChannels {
	if in == nil {
		return nil
	}
	out := new(CodecoChannels)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *ServiceId) DeepCopyInto(out *ServiceId) {
	*out = *in
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ServiceId.
func (in *ServiceId) DeepCopy() *ServiceId {
	if in == nil {
		return nil
	}
	out := new(ServiceId)
	in.DeepCopyInto(out)
	return out
}

